/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Ruta;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 * 
 * @author Rafius
 */
public class RenderCatalogoDeRutas implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Ruta ruta = (Ruta) o;

		Listcell lc = new Listcell(ruta.getRutaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(ruta.getDescruta());
		lc.setParent(lstm);

		lc = new Listcell((ruta.getClaseServicio() == null) ? "" : ruta.getClaseServicio().getDescclase());
		lc.setParent(lstm);

		lc = new Listcell(ruta.getNumRuta());
		lc.setParent(lstm);
		
		lc = new Listcell(ruta.getIndSentidoIda() == true ? Labels.getLabel("editarCatalogoDeRutaController.radIda.value") : Labels.getLabel("editarCatalogoDeRutaController.radVolta.value"));
		lc.setParent(lstm);
		
		lc = new Listcell(ruta.getPrefixo());
		lc.setParent(lstm);

		lc = new Listcell((ruta.getOrgaoConcedente() == null) ? "" : ruta.getOrgaoConcedente().getDescOrgao());
		lc.setParent(lstm);

		lstm.setAttribute("data", ruta);
	}
}
